{ config, lib, pkgs, unstable, nixified-ai, ... }:

let
  dn = "comfyui.tfcconnection.org";
  port = 4567;
in with lib;
{
  services = {
    comfyui = {
      enable = true;
      host = "0.0.0.0";
      port = port;
      models = builtins.attrValues pkgs.nixified-ai.models;
      acceleration = "cuda";
      customNodes = with nixified-ai.comfyui.pkgs; [
        comfyui-gguf
        comfyui-impact-pack

      ];
    };
    nginx.virtualHosts.${dn} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = {
        proxyPass = "http://localhost:${toString port}";
        proxyWebsockets = true;
      };
    };
  };
}
